summaryrefslogtreecommitdiffstats
path: root/tests/shell/testcases/include/0005glob_empty_0
diff options
context:
space:
mode:
authorIsmo Puustinen <ismo.puustinen@intel.com>2017-06-27 15:14:59 +0300
committerPablo Neira Ayuso <pablo@netfilter.org>2017-06-27 18:10:25 +0200
commit03a17f80bab09f8d9585b70464634ca50d3ffc7c (patch)
tree196bf953a444c755ee884d2d81c6523a8dc4d001 /tests/shell/testcases/include/0005glob_empty_0
parent8368e63eff044b78b9332f3af398a940d75e590f (diff)
tests: update include directory tests to support wildcard syntax.
Signed-off-by: Ismo Puustinen <ismo.puustinen@intel.com> Signed-off-by: Pablo Neira Ayuso <pablo@netfilter.org>
Diffstat (limited to 'tests/shell/testcases/include/0005glob_empty_0')
-rwxr-xr-xtests/shell/testcases/include/0005glob_empty_031
1 files changed, 31 insertions, 0 deletions
diff --git a/tests/shell/testcases/include/0005glob_empty_0 b/tests/shell/testcases/include/0005glob_empty_0
new file mode 100755
index 00000000..0743d0d7
--- /dev/null
+++ b/tests/shell/testcases/include/0005glob_empty_0
@@ -0,0 +1,31 @@
+#!/bin/bash
+
+# Including files in an empty directory must not fail.
+
+set -e
+
+tmpdir=$(mktemp -d)
+if [ ! -d $tmpdir ] ; then
+ echo "Failed to create tmp directory" >&2
+ exit 0
+fi
+
+tmpfile1=$(mktemp)
+if [ ! -w $tmpfile1 ] ; then
+ echo "Failed to create tmp file" >&2
+ exit 0
+fi
+
+# cleanup if aborted
+trap "rm -rf $tmpfile1 && rmdir $tmpdir" EXIT
+
+RULESET1="include \"$tmpdir/*\""
+
+echo "$RULESET1" > $tmpfile1
+
+$NFT -f $tmpfile1
+
+if [ $? -ne 0 ] ; then
+ echo "E: unable to load good ruleset" >&2
+ exit 1
+fi